﻿using PlumbingRepairDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PlumbingRepairContracts.BindingModels
{
    public class StoreBindingModel : IStoreModel
    {
        public int Id { get; set; }
        public string StoreName { get; set; } = string.Empty;
        public string StoreAdress { get; set; } = string.Empty;
        public DateTime OpeningDate { get; set; }
        public Dictionary<int, (IWorkModel, int)> StoreWorks { get; set; } = new();
        public int WorkMaxCount { get; set; }
    }
}
