﻿using PlumbingRepairDataModels.Models;
using System;
using System.Collections.Generic;
using System.ComponentModel;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PlumbingRepairContracts.ViewModels
{
    public class StoreViewModel : IStoreModel
    {
        public Dictionary<int, (IWorkModel, int)> StoreWorks { get; set; } = new();
        public int Id { get; set; }
        [DisplayName("Название магазина")]
        public string StoreName { get; set; } = string.Empty;
        [DisplayName("Адрес магазина")]
        public string StoreAdress { get; set; } = string.Empty;
        [DisplayName("Дата открытия")]
        public DateTime OpeningDate { get; set; }
        [DisplayName("Вместимость магазина")]
        public int WorkMaxCount { get; set; }
    }
}
