﻿using PlumbingRepairContracts.BindingModels;
using PlumbingRepairContracts.SearchModels;
using PlumbingRepairContracts.ViewModels;
using PlumbingRepairDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PlumbingRepairContracts.BusinessLogicsContracts
{
    public interface IStoreLogic
    {
        List<StoreViewModel>? ReadList(StoreSearchModel? model);
        StoreViewModel? ReadElement(StoreSearchModel model);
        bool Create(StoreBindingModel model);
        bool Update(StoreBindingModel model);
        bool Delete(StoreBindingModel model);
        bool AddWork(StoreSearchModel model, IWorkModel work, int quantity);
        bool AddWork(IWorkModel package, int quantity);
        bool SellWork(IWorkModel package, int quantity);
    }
}
