﻿using PlumbingRepairContracts.BindingModels;
using PlumbingRepairContracts.SearchModels;
using PlumbingRepairContracts.ViewModels;
using PlumbingRepairDataModels.Models;
using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PlumbingRepairContracts.StoragesContracts
{
    public interface IStoreStorage
    {
        List<StoreViewModel> GetFullList();
        List<StoreViewModel> GetFilteredList(StoreSearchModel model);
        StoreViewModel? GetElement(StoreSearchModel model);
        StoreViewModel? Insert(StoreBindingModel model);
        StoreViewModel? Update(StoreBindingModel model);
        StoreViewModel? Delete(StoreBindingModel model);
        bool SellWork(IWorkModel model, int quantity);
    }
}
