﻿using System;
using System.Collections.Generic;
using System.Linq;
using System.Text;
using System.Threading.Tasks;

namespace PlumbingRepairDataModels.Models
{
    public interface IStoreModel : IId
    {
        string StoreName { get; }
        string StoreAdress { get; }
        DateTime OpeningDate { get; }
        Dictionary<int, (IWorkModel, int)> StoreWorks { get; }
        public int WorkMaxCount { get; }
    }
}
